apache 2.4 не рабочий?

Используем пакеты, расширяющие возможности оборудования
emoxam
Сообщения: 36
Зарегистрирован: 06 фев 2017, 15:35

Сообщение emoxam » 19 окт 2017, 16:42

opkg update
opkg install apache
редактирую httpd.conf
комментирую Group nogroup
меняю порт на 8000
указываю ServerName Giga:8000
запускают апач и лезу на http://192.168.0.1:8000/
в логах tail -f /opt/var/log/error_log

[Thu Oct 19 16:35:05.798736 2017] [core:debug] [pid 9207:tid 1893725344] protocol.c(849): [client 192.168.0.2:58937] AH02418: HTTP Request Line; Unrecognized protocol 'HTTP/0.9' (perhaps whitespace was injected?)
[Thu Oct 19 16:35:05.799124 2017] [http:error] [pid 9207:tid 1893725344] [client 192.168.0.2:58937] AH02429: Response header name 'Content-Length' contains invalid characters, aborting request

Аватара пользователя
Zyxmon
Администратор
Сообщения: 1333
Зарегистрирован: 09 авг 2015, 14:33

Сообщение Zyxmon » 19 окт 2017, 22:54

В Entware apache рабочий, но урезанный.

emoxam
Сообщения: 36
Зарегистрирован: 06 фев 2017, 15:35

Сообщение emoxam » 20 окт 2017, 09:20

Вы сами проверяли? Так же как и я? Или у вас другой конфиг?

Аватара пользователя
Zyxmon
Администратор
Сообщения: 1333
Зарегистрирован: 09 авг 2015, 14:33

Сообщение Zyxmon » 20 окт 2017, 09:29

emoxam писал(а):Источник цитаты Вы сами проверяли?

Нет не сам. Пользователи жаловались, что после определенных изменения в конфиге apache перестает работать.

emoxam
Сообщения: 36
Зарегистрирован: 06 фев 2017, 15:35

Сообщение emoxam » 20 окт 2017, 09:31

А может вы все таки проверите сами? А то получается как в анекдоте "не люблю Корузо, мне сосед напел"

Аватара пользователя
Zyxmon
Администратор
Сообщения: 1333
Зарегистрирован: 09 авг 2015, 14:33

Сообщение Zyxmon » 20 окт 2017, 10:07

emoxam писал(а):Источник цитаты А может вы все таки проверите сами?

Все 2000+ пакетов? На всех архитектурах и устройствах? На это уйдет не один год.

emoxam
Сообщения: 36
Зарегистрирован: 06 фев 2017, 15:35

Сообщение emoxam » 20 окт 2017, 10:10

а я говорю о всех пакетах ? я тестирую - говорю не работает.

kaztost
Сообщения: 36
Зарегистрирован: 16 июл 2017, 23:29

Сообщение kaztost » 20 окт 2017, 12:32

emoxam, а на архивных версиях пробовали? Если и архивные версии не работают, то значит последняя сборка Entware не причем. Скорей всего ошибка в вашей конфигурации целиком. Никто же не может (и не хочет) на ваше устройство залезть и посмотреть, что там.

emoxam
Сообщения: 36
Зарегистрирован: 06 фев 2017, 15:35

Сообщение emoxam » 20 окт 2017, 12:44

kaztost, Да, я как раз решил свои задачи с помощью http://entware-3x.zyxmon.org/binaries/m ... sel-3x.ipk
А с 2.4 печаль.

Аватара пользователя
TheBB
Сообщения: 77
Зарегистрирован: 31 авг 2015, 01:24
Откуда: 26 ~44.09,43.02

Сообщение TheBB » 20 окт 2017, 16:42

похоже на "грабли бледнолицых"
а если заменить в конфиге "индейца" `LogLevel debug` на `LogLevel info`
Keenetic Giga II NDMSv.2.06/2.11 + Entware-Keenetic/Entware-ng-3x&Gentoo; Keenetic DSL NDMSv.2.05/2.11 + Entware-Keenetic/Entware-ng-3x&Debian


Вернуться в «Entware/Qnapware/Optware/Zyxware - обсуждаем репозитории пакетов»

Кто сейчас на конференции

Всего 1 посетитель :: 1 зарегистрированный, 0 скрытых и 0 гостей (основано на активности пользователей за последние 5 минут)
Больше всего посетителей (121) здесь было 18 май 2016, 18:19

Сейчас этот форум просматривают: CommonCrawl [Bot] и 0 гостей